package com.sw.mes.fb.checkout.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.fb.checkout.dto.SpellValidationReturnDto;
import com.sw.mes.fb.checkout.entity.FbJoin;
import io.swagger.annotations.ApiParam;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface FbJoinService extends BaseService<FbJoin> {
    Result pasteStick(List<String> sectionNoFbList);

    void fbRelieve(Long id,String relieveReason);

    void pdaRelieveBySectionNo(String sectionNo,String relieveReason);

    FbJoin getFbJoinBySectionNo(String sectionNoFb);

    List<FbJoin> getFbJoinDaoList(String[] ids);

    void updateIsSend(Integer id, int i);

    void deleteById(Integer id);

    //验证是否可拼棒
    Result<SpellValidationReturnDto>  spellValidation(List<String> sectionNoFbList);

    //方棒组拖专用
    void unPasteStick(List<String> sectionNoFbList);
}
